SDL_MessageBoxButtonData Struct Reference

`#include <SDL_messagebox.h>`

## Data Fields

Uint32 | flags
int | buttonid
const char * | text

## Detailed Description

Individual button data.

Definition at line 60 of file SDL_messagebox.h.

## Field Documentation

## buttonid

int SDL_MessageBoxButtonData::buttonid

User defined button id (value returned via SDL_ShowMessageBox)

Definition at line 63 of file SDL_messagebox.h.

## flags

Uint32 SDL_MessageBoxButtonData::flags

SDL_MessageBoxButtonFlags

Definition at line 62 of file SDL_messagebox.h.

## text

const char* SDL_MessageBoxButtonData::text

The UTF-8 button text

Definition at line 64 of file SDL_messagebox.h.

The documentation for this struct was generated from the following file:

- SDL_messagebox.h